summaryrefslogtreecommitdiffstats
path: root/debian/nghttp2-proxy.postinst
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-28 07:34:16 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-28 07:34:16 +0000
commit6552fe980a10f9117d6f3cf26d2b439dc9a2954d (patch)
tree9bd56b1184cdf466a10acfa541956a566f77b9e9 /debian/nghttp2-proxy.postinst
parentAdding upstream version 1.52.0. (diff)
downloadnghttp2-6552fe980a10f9117d6f3cf26d2b439dc9a2954d.tar.xz
nghttp2-6552fe980a10f9117d6f3cf26d2b439dc9a2954d.zip
Adding debian version 1.52.0-1+deb12u1.debian/1.52.0-1+deb12u1debian
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'debian/nghttp2-proxy.postinst')
-rwxr-xr-xdebian/nghttp2-proxy.postinst15
1 files changed, 15 insertions, 0 deletions
diff --git a/debian/nghttp2-proxy.postinst b/debian/nghttp2-proxy.postinst
new file mode 100755
index 0000000..a28f72e
--- /dev/null
+++ b/debian/nghttp2-proxy.postinst
@@ -0,0 +1,15 @@
+#!/bin/sh
+set -e
+
+#DEBHELPER#
+
+if [ -x /etc/init.d/nghttpx ]; then
+ if [ -f /run/nghttpx.pid ] && pidof /usr/sbin/nghttpx >/dev/null; then
+ invoke-rc.d nghttpx upgrade || invoke-rc.d nghttpx restart
+ exit $?
+ else
+ invoke-rc.d nghttpx start || exit $?
+ fi
+fi
+
+exit 0